/**************

----------------------------------
Dan Morris
dmorris@cs.stanford.edu
http://techhouse.brown.edu/dmorris
----------------------------------

**************/

#include "joystickio.h"
#include "LedButton.h"

#if !defined(AFX_CAR_CONTROLDLG_H__AADA18C0_9E64_4141_8E69_9E9BFACD08CA__INCLUDED_)
#define AFX_CAR_CONTROLDLG_H__AADA18C0_9E64_4141_8E69_9E9BFACD08CA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CCar_controlDlg : public CDialog {
// Construction
public:
	CCar_controlDlg(CWnd* pParent = NULL);	// standard constructor
  void update_device_list();

  void update_leds(unsigned char data);

  unsigned char last_data;

// Dialog Data
	//{{AFX_DATA(CCar_controlDlg)
	enum { IDD = IDD_CAR_CONTROL_DIALOG };

	CLedButton	m_led_0;
  CLedButton	m_led_1;
  CLedButton	m_led_2;
  CLedButton	m_led_3;
  CLedButton	m_led_4;
  CLedButton	m_led_5;
  CLedButton	m_led_6;
  CLedButton	m_led_7;

	CComboBox	m_inputdev_combo;
	CSliderCtrl	m_vertical_slider;
	CSliderCtrl	m_horizontal_slider;
	CString	m_parport_edit;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCar_controlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

  CJoystickIO cjio;

// Implementation
protected:
	HICON m_hIcon;

  CLedButton* led_array[8];

	// Generated message map functions
	//{{AFX_MSG(CCar_controlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnStartCarButton();
	afx_msg void OnDeviceComboChange();
	afx_msg void OnDeviceComboDropDown();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CAR_CONTROLDLG_H__AADA18C0_9E64_4141_8E69_9E9BFACD08CA__INCLUDED_)
